Summary:	Reusable cluster resource scripts
Name:		resource-agents
Version:	3.9.3
Release:	1
License:	GPL v2+; LGPL v2.1+
Group:		Daemons
URL:		http://www.linux-ha.org/
Source0:	https://github.com/ClusterLabs/resource-agents/tarball/v3.9.3/%{name}-%{version}.tar.bz2
# Source0-md5:	244cf2b90c94c6a0c5ed0747244eaa56
Source1:	ldirectord.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-no_header_parsing.patch
Patch1:		%{name}-bash.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cluster-glue-libs-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	openssl-tools
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	which
Requires:	cluster-glue
Obsoletes:	heartbeat-resources < 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scripts to allow common services to operate in a High Availability
environment.

%package -n ldirectord
Summary:	A Monitoring Daemon for Maintaining High Availability Resources
License:	GPL v2+
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	ipvsadm
Requires:	perl-MailTools
Requires:	perl-Net-SSLeay
Requires:	perl-Socket6
Requires:	perl-libwww
Requires:	rc-scripts
Provides:	heartbeat-ldirectord
Obsoletes:	heartbeat-ldirectord

%description -n ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
lditrecord is simple to install and works with the heartbeat code
(http://www.linux-ha.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.

%prep
%setup -q -n ClusterLabs-%{name}-2fafa06
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	FSCK=/sbin/fsck \
	FUSER=/bin/fuser \
	IPTABLES=%{_sbindir}/iptables \
	MAILCMD=/bin/mail \
	MOUNT=/bin/mount \
	PING=/bin/ping \
	--with-initdir=/etc/rc.d/init.d \
	--enable-fatal-warnings=yes \
	--with-ocf-root=%{_prefix}/lib/ocf \
	--docdir=%{_docdir}/%{name}-%{version}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ha.d/resource.d \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# in doc
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/ra-api-1.dtd

rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/ldirectord
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldirectord
cp -a ldirectord/ldirectord.cf $RPM_BUILD_ROOT%{_sysconfdir}/ha.d
install %{SOURCE2} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

# Dont package static libs or compiled python
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.pyc' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.pyo' -type f -print0 | xargs -0 rm -f

# Unset execute permissions from things that shouln't have it
find $RPM_BUILD_ROOT -name 'ocf-*'  -type f -print0 | xargs -0 chmod a-x
chmod a+rx $RPM_BUILD_ROOT%{_sbindir}/ocf-tester

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n ldirectord
/sbin/chkconfig --add ldirectord
%service ldirectord restart

%preun	-n ldirectord
if [ "$1" = "0" ]; then
	%service -q ldirectord stop
	/sbin/chkconfig --del ldirectord
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS doc/README.webapps heartbeat/ra-api-1.dtd
%attr(755,root,root) %{_libdir}/heartbeat/send_arp
%attr(755,root,root) %{_libdir}/heartbeat/sfex_daemon
%attr(755,root,root) %{_libdir}/heartbeat/findif
%attr(755,root,root) %{_libdir}/heartbeat/tickle_tcp
%{_datadir}/resource-agents
%attr(755,root,root) %{_sbindir}/ocf-tester
%attr(755,root,root) %{_sbindir}/ocft
%attr(755,root,root) %{_sbindir}/sfex_init
%attr(755,root,root) %{_sbindir}/sfex_stat
%attr(755,root,root) %{_sbindir}/rhev-check.sh
%dir %{_sysconfdir}/ha.d
%dir %{_sysconfdir}/ha.d/resource.d
%{_sysconfdir}/ha.d/shellfuncs
%{_includedir}/heartbeat/agent_config.h
%attr(1755,root,root) /var/run/resource-agents
%dir %{_datadir}/cluster
%dir %{_datadir}/cluster/utils
%dir %{_datadir}/cluster/relaxng
%dir %{_prefix}/lib/ocf
%dir %{_prefix}/lib/ocf/resource.d
%dir %{_prefix}/lib/ocf/resource.d/heartbeat
%dir %{_prefix}/lib/ocf/lib
%dir %{_prefix}/lib/ocf/lib/heartbeat
%attr(755,root,root) %{_prefix}/lib/ocf/resource.d/heartbeat/*
%attr(755,root,root) %{_datadir}/cluster/*.sh
%{_datadir}/cluster/*.metadata
%{_datadir}/cluster/SAP*
%{_datadir}/cluster/svclib_nfslock
%{_datadir}/cluster/ocf-shellfuncs
%{_datadir}/cluster/relaxng/*
%attr(755,root,root) %{_datadir}/cluster/utils/*
%{_prefix}/lib/ocf/resource.d/heartbeat/.ocf-*
%{_prefix}/lib/ocf/lib/heartbeat/ocf-*
%{_prefix}/lib/ocf/lib/heartbeat/*.sh
%{_prefix}/lib/ocf/resource.d/redhat
%{_mandir}/man7/*.7*
%{_mandir}/man8/ocf-tester.8*
%{_mandir}/man8/sfex_init.8*
%{systemdtmpfilesdir}/%{name}.conf

%files -n ldirectord
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ha.d/ldirectord.cf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ldirectord
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d/ldirectord
%attr(754,root,root) /etc/rc.d/init.d/ldirectord
%attr(755,root,root) %{_sbindir}/*ldirectord*
%{_mandir}/man8/*ldirectord*.8*
%changelog
* Tue Oct 30 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 53cd79e
Version: 3.9.3

* Tue Oct 30 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 4544edf
R: cluster-glue

* Wed Jul 04 2012 Jacek Konieczny <jajcus@pld-linux.org> bdbf821
- provide the heartbeat legacy /etc/ha.d directory, so other cluster
  stacks and resource agents won't pull heartbeat by directory dependencies
- provide the OCF_ROOT_DIR and do not let the configure script try
  to parse header files - it does not always work
- Release: 2

* Fri Jun 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4903c17
- added systemd tmpfiles config

* Mon Oct 24 2011 mguevara <mguevara@pld-linux.org> 6b4315c
- up to 3.9.2-1

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> dc556d4
- one more dir I forgot

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> 4c4d8c7
- also seems to work; rel 2; stbr

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> bde83c0
- more file and directory fixes; should work now

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> 6446ecf
- more missing permissions

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> 61e2183
- missing man page
- missing /var/run/ subdir

* Tue Jul 19 2011 Mariusz Mazur <mmazur@pld-linux.org> 2112655
- files under /usr/lib/heartbeat/ need to be +x
- rel 1.1

* Wed Jun 29 2011 Marek Marczykowski <marmarek@pld-linux.org> 7e3f8f3
- resource agents must have executable bit...

* Wed Jun 29 2011 Marek Marczykowski <marmarek@pld-linux.org> 2f11abc
- 1.0.4

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> 2dfad87
- missing dirs, Socket6 dep for ldirectord

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> 607b651
- load network config

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> 7f55238
- reviewed, merged with template.init

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> 63a87a2
- command paths from heartbeat.spec

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> ad00dd5
- merge ldirector stuff from heartbeat.spec

* Wed Jan 13 2010 sparky <sparky@pld-linux.org> fd5fc12
- BR: docbook-dtd44-xml, libtool, libxslt-progs, openssl-tools

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> fb499b4
- new, based on bundled suse based .spec

